vos help                   AFS Commands                vos help


NAME

   vos help -- show syntax of specified vos command(s) or list

                       functional description for all of them.


                                  +
   vos help  [-topic <help string> ]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                           +
   vos h  [-t <help string> ]  [-h]

DESCRIPTION

   Displays the first line  (name  and  short  description)  of
   every  vos  command's  help  entry,  if  no  help  string is
   provided.  For each operation code specified with -topic, it
   outputs  the  entire  help  entry.    See the Output section
   below.

ARGUMENTS

   -topic          specifies the operation  code(s)  for  which
                   syntax is to be provided.  If it is omitted,
                   the  output   instead   provides   a   short
                   description of all vos commands.

   -help           prints the online help for this command.  Do
                   not provide any  other  arguments  or  flags
                   with  this  one.    See  section  8.3 in the
                   Reference Manual for more details.

OUTPUT

   The online help entry for each vos command consists  of  two
   or three lines:

      - The  first  line  names  the  command  and briefly
        describes what it does.

      - If the command has aliases, they  will  appear  on
        the next line.

      - The  final line, which begins with "Usage:", lists
        the  command's  arguments   and   flags   in   the
        prescribed  order.    Online  help entries use the
        same  symbols  (brackets,  etc.)  as  the  command
        definitions in this manual.  For an explanation of
        their meaning, see  page  v  of  the  introductory
        About This Manual chapter.



EXAMPLE

   The  following  displays  the  online  help  entry  for  the
   vos create command.

       %vos help create
       vos create: create a new volume
       Usage: vos create -server <machine name> -partition
       <partition name> -name <volume name> [-cell <cell name>]
       [-noauth] [-localauth] [-verbose] [-help]

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   vos apropos
